picard.illumina.parser

## Class IlluminaDataProvider

- java.lang.Object
- - picard.illumina.parser.IlluminaDataProvider

- All Implemented Interfaces:
    Iterable<ClusterData>, Iterator<ClusterData>

      public class IlluminaDataProvider
      extends Object
      implements Iterator<ClusterData>, Iterable<ClusterData>

  Parse various formats and versions of Illumina Basecall files, and use them the to populate ClusterData objects. Clients of this code should use IlluminaDataProviderFactory to create an IlluminaDataProvider. IlluminaDataProvider is immutable after construction.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `boolean` | `hasNext()`
    `Iterator<ClusterData>` | `iterator()`
    `ClusterData` | `next()`
    `void` | `remove()`
    `void` | `seekToTile(int oneBasedTileNumber)` Jump so that the next record returned will be from the specified tile.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<ClusterData>`
      Returns:
        True if we have more clusters to read

    - #### next

          public ClusterData next()

      Specified by:
        `next` in interface `Iterator<ClusterData>`
      Returns:
        Current cluster data populated with only the data that matches one of the data types in dataTypes.

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<ClusterData>`

    - #### seekToTile

          public void seekToTile(int oneBasedTileNumber)

      Jump so that the next record returned will be from the specified tile.

    - #### iterator

          public Iterator<ClusterData> iterator()

      Specified by:
        `iterator` in interface `Iterable<ClusterData>`

    - #### close

          public void close()